unit novyZaznamEvid;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes,
  System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.ListBox,
  FMX.StdCtrls, FMX.Controls.Presentation, FireDAC.Stan.Intf,
  FireDAC.Stan.Option, FireDAC.Stan.Error, FireDAC.UI.Intf, FireDAC.Phys.Intf,
  FireDAC.Stan.Def, FireDAC.Stan.Pool, FireDAC.Stan.Async, FireDAC.Phys,
  FireDAC.Phys.SQLite, FireDAC.Phys.SQLiteDef, FireDAC.Stan.ExprFuncs,
  FireDAC.FMXUI.Wait, FireDAC.Stan.Param, FireDAC.DatS, FireDAC.DApt.Intf,
  FireDAC.DApt, Data.DB, FireDAC.Comp.DataSet, FireDAC.Comp.Client, FMX.Edit;

type
  TnovyZaznamEvidence = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    ComboBox1: TComboBox;
    ListBoxItem1: TListBoxItem;
    ListBoxItem2: TListBoxItem;
    ListBoxItem3: TListBoxItem;
    ListBoxItem4: TListBoxItem;
    ListBoxItem5: TListBoxItem;
    ListBoxItem6: TListBoxItem;
    ListBoxItem7: TListBoxItem;
    ListBoxItem8: TListBoxItem;
    ListBoxItem9: TListBoxItem;
    ListBoxItem10: TListBoxItem;
    ListBoxItem11: TListBoxItem;
    ListBoxItem12: TListBoxItem;
    ListBoxItem13: TListBoxItem;
    ListBoxItem14: TListBoxItem;
    ListBoxItem15: TListBoxItem;
    ListBoxItem16: TListBoxItem;
    ListBoxItem17: TListBoxItem;
    ListBoxItem18: TListBoxItem;
    ListBoxItem19: TListBoxItem;
    ListBoxItem20: TListBoxItem;
    ListBoxItem21: TListBoxItem;
    ListBoxItem22: TListBoxItem;
    ListBoxItem23: TListBoxItem;
    ListBoxItem24: TListBoxItem;
    ListBoxItem25: TListBoxItem;
    ListBoxItem26: TListBoxItem;
    ListBoxItem27: TListBoxItem;
    ListBoxItem28: TListBoxItem;
    ListBoxItem29: TListBoxItem;
    DBConnection: TFDConnection;
    SQLQuery: TFDQuery;
    Edit1: TEdit;
    Panel1: TPanel;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    curr_DBfile, curr_LHC, curr_rok, curr_oddeleni, curr_dilec, curr_porost,
      curr_skupina: String;
    procedure zobrazNovyZaznam(DBfile, LHC, rok, oddeleni, dilec, porost,
      skupina: String);
  end;

var
  novyZaznamEvidence: TnovyZaznamEvidence;

implementation

uses
  HK, t_xFileDialog, zobrazeniEvidence;
{$R *.fmx}
{$R *.LgXhdpiTb.fmx ANDROID}
{$R *.XLgXhdpiTb.fmx ANDROID}
{$R *.LgXhdpiPh.fmx ANDROID}


 { nacteni dat a pridani do DB }
procedure TnovyZaznamEvidence.Button1Click(Sender: TObject);
var
  datum, etaz, vykon, podvykon, druh_vykonu, druh_pohybu, drevina, mzd, plocha,
    mnozstvi, poznamka, popis: String;
begin
  if ComboBox1.ItemIndex <> -1 then
  begin
    datum := System.SysUtils.DateToStr(System.SysUtils.Date);
    etaz := Edit1.Text;
    druh_vykonu := Edit2.Text;
    druh_pohybu := Edit3.Text;
    drevina := Edit4.Text;
    mzd := Edit5.Text;
    plocha := Edit6.Text;
    mnozstvi := Edit7.Text;
    poznamka := Edit8.Text;
    popis := ComboBox1.Items[ComboBox1.ItemIndex];

    case ComboBox1.ItemIndex of
      0:
        begin
          vykon := '10';
          podvykon := '1';
        end;
      1:
        begin
          vykon := '10';
          podvykon := '2';
        end;
      2:
        begin
          vykon := '10';
          podvykon := '8';
        end;
      3:
        begin
          vykon := '10';
          podvykon := '9';
        end;
      4:
        begin
          vykon := '10';
          podvykon := '11';
        end;
      5:
        begin
          vykon := '10';
          podvykon := '12';
        end;
      6:
        begin
          vykon := '10';
          podvykon := '25';
        end;
      7:
        begin
          vykon := '11';
          podvykon := '1';
        end;
      8:
        begin
          vykon := '11';
          podvykon := '6';
        end;
      9:
        begin
          vykon := '11';
          podvykon := '11';
        end;
      10:
        begin
          vykon := '11';
          podvykon := '12';
        end;
      11:
        begin
          vykon := '11';
          podvykon := '81';
        end;
      12:
        begin
          vykon := '25';
          podvykon := '1';
        end;
      13:
        begin
          vykon := '25';
          podvykon := '2';
        end;
      14:
        begin
          vykon := '25';
          podvykon := '3';
        end;
      15:
        begin
          vykon := '25';
          podvykon := '6';
        end;
      16:
        begin
          vykon := '25';
          podvykon := '7';
        end;
      17:
        begin
          vykon := '25';
          podvykon := '8';
        end;
      18:
        begin
          vykon := '111';
          podvykon := '2';
        end;
      19:
        begin
          vykon := '111';
          podvykon := '3';
        end;
      20:
        begin
          vykon := '111';
          podvykon := '4';
        end;
      21:
        begin
          vykon := '111';
          podvykon := '7';
        end;
      22:
        begin
          vykon := '111';
          podvykon := '8';
        end;
      23:
        begin
          vykon := '111';
          podvykon := '9';
        end;
      24:
        begin
          vykon := '111';
          podvykon := '12';
        end;
      25:
        begin
          vykon := '111';
          podvykon := '13';
        end;
      26:
        begin
          vykon := '111';
          podvykon := '15';
        end;
      27:
        begin
          vykon := '111';
          podvykon := '16';
        end;
      28:
        begin
          vykon := '111';
          podvykon := '19';
        end;

    end;

    SQLQuery.SQL.Clear;
    SQLQuery.SQL.Add
      ('INSERT INTO evidence (datum, odd, dil,por,psk,etaz,vykon,podvykon,druh_vykonu,druh_pohybu,drevina,mzd,plocha,mnozstvi,poznamka,popis)'
       +' VALUES (:datum, :odd, :dil,:por,:psk,:etaz,:vykon,:podvykon,:druh_vykonu,:druh_pohybu,:drevina,:mzd,:plocha,:mnozstvi,:poznamka,:popis);');
    SQLQuery.Params.ParamByName('datum').Value := datum;
    SQLQuery.Params.ParamByName('odd').Value := curr_oddeleni;
    SQLQuery.Params.ParamByName('dil').Value := curr_dilec;
    SQLQuery.Params.ParamByName('por').Value := curr_porost;
    SQLQuery.Params.ParamByName('psk').Value := curr_skupina;
    SQLQuery.Params.ParamByName('etaz').Value := etaz;
    SQLQuery.Params.ParamByName('vykon').Value := vykon;
    SQLQuery.Params.ParamByName('podvykon').Value := podvykon;
    SQLQuery.Params.ParamByName('druh_vykonu').Value := druh_vykonu;
    SQLQuery.Params.ParamByName('druh_pohybu').Value := druh_pohybu;
    SQLQuery.Params.ParamByName('drevina').Value := drevina;
    SQLQuery.Params.ParamByName('mzd').Value := mzd;
    SQLQuery.Params.ParamByName('plocha').Value := plocha;
    SQLQuery.Params.ParamByName('mnozstvi').Value := mnozstvi;
    SQLQuery.Params.ParamByName('poznamka').Value := poznamka;
    SQLQuery.Params.ParamByName('popis').Value := popis;
    SQLQuery.ExecSQL;
    SQLQuery.Close;

    ZobrazEvid.zobrazEvidenci(curr_DBfile, curr_LHC, curr_rok, curr_oddeleni,
      curr_dilec, curr_porost, curr_skupina);
  end;
end;

{ reset hodnot a zobrazeni formu }
procedure TnovyZaznamEvidence.zobrazNovyZaznam(DBfile, LHC, rok, oddeleni,
  dilec, porost, skupina: String);
var
  rowIndex, i, j: Integer;
begin

  Edit1.Text := '';
  Edit2.Text := '';
  Edit3.Text := '';
  Edit4.Text := '';
  Edit5.Text := '';
  Edit6.Text := '';
  Edit7.Text := '';
  Edit8.Text := '';

  curr_DBfile := DBfile;
  curr_LHC := LHC;
  curr_rok := rok;
  curr_oddeleni := oddeleni;
  curr_dilec := dilec;
  curr_porost := porost;
  curr_skupina := skupina;

  DBConnection.Params.Values['Database'] := DBfile;

  SQLQuery.SQL.Clear;
  SQLQuery.SQL.Add
    ('create table if not exists evidence (ID INTEGER PRIMARY KEY ASC,datum CHAR(15),odd CHAR(10),dil CHAR(10),'
    + 'por CHAR(10),psk CHAR(10),etaz CHAR(10),vykon CHAR(10),podvykon CHAR(10),druh_vykonu CHAR(20),druh_pohybu CHAR(20),'
    + 'drevina CHAR(20),mzd CHAR(20),plocha CHAR(20),mnozstvi CHAR(20),poznamka text,popis text)');
  SQLQuery.ExecSQL;
  SQLQuery.Close;

  Label1.Text := 'LHC ' + LHC + '(' + rok + ') - ' + oddeleni + '/' + dilec +
    '/' + porost + '/' + skupina;

  novyZaznamEvidence.Show;
end;

end.
